Subject: bug#59986: closed (Re: bug#59986: 30.0.50; Can't trash file with broken symbolic link)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Dec 2022 15:57:02 +0000

Your bug report

#59986: 30.0.50; Can't trash file with broken symbolic link

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59986: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59986
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59986: 30.0.50; Can't trash file with broken symbolic link
From: Eli Zaretskii <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Dec 2022 17:56:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 16 Dec 2022 09:39:31 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I have manually applied that patch as I do not know how to
> apply it directly. Am I supposed to use `patch' command? 
> 
> I have tested your patch and it can delete dangling symlinks
> and moves them to Trash. And I could observe it adds ~N~ to
> file names, so it works well.
> 
>   lrwxrwxrwx 1    9 Dec 15 17:51 more -> something
>   lrwxrwxrwx 1    9 Dec 16 09:37 more.~1~ -> something
>   lrwxrwxrwx 1    9 Dec 16 09:37 more.~2~ -> something
>   -rwxr-xr-x 1 1.5K Sep 15  2018 
> 
> Thanks much.

Thanks for testing.  I've now installed the fix on the emacs-29
branch, and I'm therefore closing this bug.

Subject: 30.0.50; Can't trash file with broken symbolic link
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Mon, 12 Dec 2022 09:51:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I am deleting files by using trash. My Trash is in
/home/data1/protected/tmp/Trash

In the directory:

/home/data1/protected/.mozilla/iceweasel/rzwnn0b0.default-release-2/

I have the following file:

D lrwxrwxrwx 1   20 Mar 24  2022 lock -> 217.170.207.13:+7513

which is:

lock: broken symbolic link to 217.170.207.13:+7513

and by marking it for deletion and trying to delete by moving to Trash,
I get the message:

file-already-exists: File already exists: /home/data1/protected/tmp/Trash/lock

Because in the Trash directory I have the following file:

  /home/data1/protected/tmp/Trash:
  lrwxrwxrwx 1    21 Dec 11 07:36 lock -> 217.170.207.13:+24763

which is:

lock: broken symbolic link to 217.170.207.13:+24763

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2022-12-10 built on
 protected.rcdrun.com
Repository revision: fbbf3610fd5b27873e13cfd7702d5b0bbb15c2f8
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 39079 4758)
 (symbols 48 5192 2)
 (strings 32 14313 1652)
 (string-bytes 1 403139)
 (vectors 16 10438)
 (vector-slots 8 158928 10100)
 (floats 8 40 19)
 (intervals 56 256 0)
 (buffers 984 11))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/